% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/add_report.R
\name{add_report}
\alias{add_report}
\title{Add a new report in a fairify project}
\usage{
add_report(name, template = "inrae", path = ".")
}
\arguments{
\item{name}{Name of the report (sub-folder name in "reports")}

\item{template}{The report template chosen between the folders located in
the "templates" folder of the fairify project}

\item{path}{Path of the fairify project}
}
\value{
The path of the added report
}
\description{
Add a new report in a fairify project
}
\examples{
# Create structure for reports
path <- tempfile(pattern = "report-example")
dir.create(path)
create_reports(path, git = FALSE)
list.files(path, recursive = TRUE)

# Add a new report
report_path <- add_report("my_report", path = path)
list.files(report_path)
}
