% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fairify-package.R
\docType{package}
\name{fairify-package}
\alias{fairify}
\alias{fairify-package}
\title{fairify: a package for creating FAIR reports}
\description{
\subsection{Create a \emph{fairify} project}{

\code{create_fairify} creates a R-package skeleton with several and open your
project on Rstudio:

\if{html}{\out{<div class="sourceCode">}}\preformatted{# Create a project in a temporary folder for the example
path <- file.path(tempdir(), "my_fairify_project")
fairify::create_fairify(path)

## ✔ Creating 'C:/Users/DDORCH~1/AppData/Local/Temp/RtmpkNEQuT/my_fairify_project/'
## ✔ Setting active project to 'C:/Users/ddorchies/AppData/Local/Temp/RtmpkNEQuT/my_fairify_project'
## ✔ Creating 'R/'
## ✔ Writing 'DESCRIPTION'

## Package: my_fairify_project
## Title: What the Package Does (One Line, Title Case)
## Version: 0.0.0.9000
## Authors@R (parsed):
##     * First Last <first.last@example.com> [aut, cre] (YOUR-ORCID-ID)
## Description: What the package does (one paragraph).
## License: `use_mit_license()`, `use_gpl3_license()` or friends to pick a
##     license
## Encoding: UTF-8
## Roxygen: list(markdown = TRUE)
## RoxygenNote: 7.3.1

## ✔ Writing 'NAMESPACE'
## ✔ Writing 'my_fairify_project.Rproj'
## ✔ Adding '^my_fairify_project\\\\.Rproj$' to '.Rbuildignore'
## ✔ Adding '.Rproj.user' to '.gitignore'
## ✔ Adding '^\\\\.Rproj\\\\.user$' to '.Rbuildignore'
## ✔ Setting active project to '<no active project>'
## ✔ Setting active project to 'C:/Users/ddorchies/AppData/Local/Temp/RtmpkNEQuT/my_fairify_project'
## ✔ Setting active project to 'C:/Users/ddorchies/AppData/Local/Temp/RtmpkNEQuT/my_fairify_project'
## ✔ Adding 'testthat' to Suggests field in DESCRIPTION
## ✔ Adding '3' to Config/testthat/edition
## ✔ Creating 'tests/testthat/'
## ✔ Writing 'tests/testthat.R'
## • Call `use_test()` to initialize a basic test file and open it for editing.
## ✔ Adding 'fairify' to Depends field in DESCRIPTION
## • Are you sure you want Depends? Imports is almost always the better choice.
## Fairify project created
## 
## Don't forget to edit the file `inst/config.yml` for configuring the data location for your project
## 
## ✔ Setting active project to 'C:/Users/ddorchies/AppData/Local/Temp/RtmpkNEQuT/my_fairify_project'

list.files(path)

## [1] "DESCRIPTION"              "inst"                    
## [3] "my_fairify_project.Rproj" "NAMESPACE"               
## [5] "R"                        "reports"                 
## [7] "templates"                "tests"
}\if{html}{\out{</div>}}
}

\subsection{Create reports with \strong{bookdown}}{

By default, the \emph{fairify} project contains a \code{reports} folder which
contains bookdown reports.

Use the function \code{fairify::add_report} for creating a new report.

\if{html}{\out{<div class="sourceCode">}}\preformatted{# Create a report
fairify::add_report("my_report", path)

## [1] "C:\\\\Users\\\\DDORCH~1\\\\AppData\\\\Local\\\\Temp\\\\RtmpkNEQuT/my_fairify_project/reports/my_report"

# Add a chapter
writeLines(
  c(
    "# A new chapter",
    "",
    "With a new paragraph."
  ),
  file.path(path, "reports/my_report/01-new_chapter.Rmd")
)
}\if{html}{\out{</div>}}
}

\subsection{Render reports}{

By default, the reports are rendered in the public folder of the
\emph{fairify} project.

\if{html}{\out{<div class="sourceCode">}}\preformatted{# Render the report in HTML format
fairify::render_reports(reports_dir = file.path(path, "reports"))

## folder list:

## my_report

## *******************************************************************

## ** RENDER my_report

## *******************************************************************

## output_format=bookdown::gitbook

## Rendering book in directory 'C:\\Users\\DDORCH~1\\AppData\\Local\\Temp\\RtmpkNEQuT/my_fairify_project/reports/my_report'

## processing file: report.Rmd

## output file: report.knit.md

## "C:/Program Files/RStudio/resources/app/bin/quarto/bin/tools/pandoc" +RTS -K512m -RTS report.knit.md --to html4 --from markdown+autolink_bare_uris+tex_math_single_backslash --output report.html --lua-filter "C:\\Users\\ddorchies\\AppData\\Local\\Programs\\R\\R-4.2.2\\library\\bookdown\\rmarkdown\\lua\\custom-environment.lua" --lua-filter "C:\\Users\\ddorchies\\AppData\\Local\\R\\win-library\\4.2\\rmarkdown\\rmarkdown\\lua\\pagebreak.lua" --lua-filter "C:\\Users\\ddorchies\\AppData\\Local\\R\\win-library\\4.2\\rmarkdown\\rmarkdown\\lua\\latex-div.lua" --lua-filter "C:\\Users\\ddorchies\\AppData\\Local\\R\\win-library\\4.2\\rmarkdown\\rmarkdown\\lua\\anchor-sections.lua" --metadata-file "C:\\Users\\DDORCH~1\\AppData\\Local\\Temp\\RtmpkNEQuT\\file384434cd7298" --wrap preserve --standalone --section-divs --table-of-contents --toc-depth 3 --template "C:\\Users\\ddorchies\\AppData\\Local\\Programs\\R\\R-4.2.2\\library\\bookdown\\templates\\gitbook.html" --highlight-style pygments --number-sections --css style.css --mathjax --include-in-header "C:\\Users\\DDORCH~1\\AppData\\Local\\Temp\\RtmpkNEQuT\\rmarkdown-str384462592dc7.html" --citeproc

## 
## Output created: ../../public/reports/my_report/index.html

# Render the report in PDF format
fairify::render_reports(reports_dir = file.path(path, "reports"),
               output_format = "bookdown::pdf_book")

## folder list:

## my_report

## *******************************************************************

## ** RENDER my_report

## *******************************************************************

## Loading required package: tinytex

## Warning: package 'tinytex' was built under R version 4.2.3

## output_format=bookdown::pdf_book

## Rendering book in directory 'C:\\Users\\DDORCH~1\\AppData\\Local\\Temp\\RtmpkNEQuT/my_fairify_project/reports/my_report'

## processing file: report.Rmd

## output file: report.knit.md

## "C:/Program Files/RStudio/resources/app/bin/quarto/bin/tools/pandoc" +RTS -K512m -RTS report.knit.md --to latex --from markdown+autolink_bare_uris+tex_math_single_backslash --output report.tex --lua-filter "C:\\Users\\ddorchies\\AppData\\Local\\Programs\\R\\R-4.2.2\\library\\bookdown\\rmarkdown\\lua\\custom-environment.lua" --lua-filter "C:\\Users\\ddorchies\\AppData\\Local\\R\\win-library\\4.2\\rmarkdown\\rmarkdown\\lua\\pagebreak.lua" --lua-filter "C:\\Users\\ddorchies\\AppData\\Local\\R\\win-library\\4.2\\rmarkdown\\rmarkdown\\lua\\latex-div.lua" --metadata-file "C:\\Users\\DDORCH~1\\AppData\\Local\\Temp\\RtmpkNEQuT\\file38447a441ba0" --embed-resources --standalone --table-of-contents --toc-depth 2 --number-sections --highlight-style tango --pdf-engine pdflatex --biblatex --include-in-header "..\\..\\templates\\umr_geau\\preamble.tex" --include-after-body "..\\..\\templates\\inrae\\after_body.tex" --variable graphics --wrap preserve --variable tables=yes --standalone -Mhas-frontmatter=false

## 
## Output created: ../../public/reports/my_report/report.pdf
}\if{html}{\out{</div>}}
}

\subsection{Use data located on the cloud (or not…)}{
\subsection{How it works?}{

The \emph{fairify} project provides a function \code{getDataPath} which helps you
to use data located on the cloud in your R scripts.

List of supported cloud servers:
\itemize{
\item \href{https://owncloud.com/}{Owncloud}
\item \href{https://nextcloud.com/}{Nextcloud}
}

To use it, you first need to define your cloud configuration in the file
\code{inst/config.yml}:

\if{html}{\out{<div class="sourceCode">}}\preformatted{default:
  data:
    mode: remote
    local: "path_for_data_on_your_disk"
    remote: "https://public_link_on_your_cloud"
    write_results: false
}\if{html}{\out{</div>}}

The \code{local} path stands for storing your data on a local or network disk
directly readable and writable by your Operating System.
}

\subsection{Caching results}{

\code{write_results} logical parameter is an helper for caching data results
of long calculations. The basic strategy is to either calculate and save
a result or read this result depending of the value of this boolean:

\if{html}{\out{<div class="sourceCode">}}\preformatted{computeSomeThing <- function(cfg = loadConfig()) \{
  if (cfg$data$write_results) \{
    myBigResult <- 2 + 2
    saveRDS(myBigResult, getDataPath("myBigResult.RDS"))
  \} else \{
    myBigResult <- readRDS(getDataPath("myBigResult.RDS"))
  \}
  return(myBigResult)
\}
}\if{html}{\out{</div>}}
}

}
}
\author{
\strong{Maintainer}: David Dorchies \email{david.dorchies@inrae.fr} (\href{https://orcid.org/0000-0002-6595-7984}{ORCID})

}
\keyword{internal}
