skip_on_ci()

test_that("render_reports works", {
  path <- helper_create_fairify()
  templates <- list.dirs(file.path(path, "templates"), full.names = FALSE)[-1]
  lapply(templates,
         function(x) {
           add_report(paste0("my_report_", x),
                      template = x,
                      path = path)
         })
  render_reports(reports_dir = file.path(path, "reports"),
                 output_format = "bookdown::gitbook")
  render_reports(reports_dir = file.path(path, "reports"),
                 output_format = "bookdown::pdf_book")
  lapply(paste0("my_report_", templates), function(x) {
    report_path <- file.path(path, "public/reports", x)
    expect_true(dir.exists(report_path))
    expect_true(file.exists(file.path(report_path, "index.html")))
    expect_true(file.exists(file.path(report_path, "report.pdf")))
  })
  unlink(path, recursive = TRUE)
})
